Get counterparties list
GET
https://bank.dattaremit.com/api/counterpartiesRequires a bank-scoped key.
Retrieves a listing of counterparties. Records are sorted by creation date in descending order.
Required scope: counterparties:read Optional scope: counterparties:pii:read.
Query Params
pageinteger—
per_pageinteger—
typestringComma separated types to list counterparties for.
bank_guidstringComma separated bank_guids to list counterparties for.
customer_guidstringComma separated customer_guids to list counterparties for.
guidstringComma separated counterparty_guids to list counterparties for.
labelstringComma separated labels to list counterparties for.
include_piibooleanInclude PII in the response (requires **counterparties:pii:read** scope).
Responses
200get list of counterparties
401Unauthorized
403Forbidden
Request
curl https://api.dattaremit.com/api/counterparties \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
get list of counterparties
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"guid": "string",
"type": "string",
"bank_guid": "string",
"customer_guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"state": "string",
"name": {
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
},
"address": {
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string",
"country_code": "string"
},
"aliases": [
{
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
}
],
"date_of_birth": "1990-04-12",
"labels": [
"string"
],
"compliance_decisions": [
{
"type": "string",
"state": "string",
"failure_codes": [
null
],
"expired_at": "2026-07-20T16:27:51.438Z"
}
]
}
]
}